---
lang: en
title: 'API docs: rest.resthttperrors.invalidrequestbody'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.resthttperrors.invalidrequestbody.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestHttpErrors](./rest.resthttperrors.md) &gt; [invalidRequestBody](./rest.resthttperrors.invalidrequestbody.md)

## RestHttpErrors.invalidRequestBody() function

**Signature:**

```typescript
function invalidRequestBody(details: ValidationErrorDetails[]): HttpErrors.HttpError & {
        details: ValidationErrorDetails[];
    };
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  details | [ValidationErrorDetails](./rest.resthttperrors.validationerrordetails.md)<!-- -->\[\] |  |

**Returns:**

HttpErrors.HttpError &amp; { details: [ValidationErrorDetails](./rest.resthttperrors.validationerrordetails.md)<!-- -->\[\]; }


